StandardBasicTypes (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class StandardBasicTypes

    java.lang.Object
      org.hibernate.type.StandardBasicTypes

    public class StandardBasicTypes

extends Object

Centralizes access to the standard set of basic `types`.

Type mappings can be adjusted per `SessionFactory`. These adjusted mappings can be accessed from the `TypeHelper` instance obtained via `SessionFactory.getTypeHelper()`

See Also:
  `BasicTypeRegistry`, `TypeHelper`, `SessionFactory.getTypeHelper()`

Field Summary
`static BigDecimalType` | `BIG_DECIMAL` The standard Hibernate type for mapping `BigDecimal` to JDBC `NUMERIC`.
`static BigIntegerType` | `BIG_INTEGER` The standard Hibernate type for mapping `BigInteger` to JDBC `NUMERIC`.
`static BinaryType` | `BINARY` The standard Hibernate type for mapping `byte[]` to JDBC `VARBINARY`.
`static BlobType` | `BLOB` The standard Hibernate type for mapping `Blob` to JDBC `BLOB`.
`static BooleanType` | `BOOLEAN` The standard Hibernate type for mapping `Boolean` to JDBC `BIT`.
`static ByteType` | `BYTE` The standard Hibernate type for mapping `Byte` to JDBC `TINYINT`.
`static CalendarType` | `CALENDAR` The standard Hibernate type for mapping `Calendar` to JDBC `TIMESTAMP`.
`static CalendarDateType` | `CALENDAR_DATE` The standard Hibernate type for mapping `Calendar` to JDBC `DATE`.
`static CharArrayType` | `CHAR_ARRAY` The standard Hibernate type for mapping `char[]` to JDBC `VARCHAR`.
`static CharacterType` | `CHARACTER` The standard Hibernate type for mapping `Character` to JDBC `CHAR(1)`.
`static CharacterArrayType` | `CHARACTER_ARRAY` The standard Hibernate type for mapping `Character[]` to JDBC `VARCHAR`.
`static ClassType` | `CLASS` The standard Hibernate type for mapping `Class` to JDBC `VARCHAR`.
`static ClobType` | `CLOB` The standard Hibernate type for mapping `Clob` to JDBC `CLOB`.
`static CurrencyType` | `CURRENCY` The standard Hibernate type for mapping `Currency` to JDBC `VARCHAR`.
`static DateType` | `DATE` The standard Hibernate type for mapping `Date` (`Date`) to JDBC `DATE`.
`static DoubleType` | `DOUBLE` The standard Hibernate type for mapping `Double` to JDBC `DOUBLE`.
`static FloatType` | `FLOAT` The standard Hibernate type for mapping `Float` to JDBC `FLOAT`.
`static ImageType` | `IMAGE` The standard Hibernate type for mapping `byte[]` to JDBC `LONGVARBINARY`.
`static IntegerType` | `INTEGER` The standard Hibernate type for mapping `Integer` to JDBC `INTEGER`.
`static LocaleType` | `LOCALE` The standard Hibernate type for mapping `Locale` to JDBC `VARCHAR`.
`static LongType` | `LONG` The standard Hibernate type for mapping `Long` to JDBC `BIGINT`.
`static MaterializedBlobType` | `MATERIALIZED_BLOB` The standard Hibernate type for mapping `byte[]` to JDBC `BLOB`.
`static MaterializedClobType` | `MATERIALIZED_CLOB` The standard Hibernate type for mapping `String` to JDBC `CLOB`.
`static NumericBooleanType` | `NUMERIC_BOOLEAN` The standard Hibernate type for mapping `Boolean` to JDBC `INTEGER`.
`static SerializableType` | `SERIALIZABLE` The standard Hibernate type for mapping `Serializable` to JDBC `VARBINARY`.
`static ShortType` | `SHORT` The standard Hibernate type for mapping `Short` to JDBC `SMALLINT`.
`static StringType` | `STRING` The standard Hibernate type for mapping `String` to JDBC `VARCHAR`.
`static TextType` | `TEXT` The standard Hibernate type for mapping `String` to JDBC `LONGVARCHAR`.
`static TimeType` | `TIME` The standard Hibernate type for mapping `Date` (`Time`) to JDBC `TIME`.
`static TimestampType` | `TIMESTAMP` The standard Hibernate type for mapping `Date` (`Timestamp`) to JDBC `TIMESTAMP`.
`static TimeZoneType` | `TIMEZONE` The standard Hibernate type for mapping `TimeZone` to JDBC `VARCHAR`.
`static TrueFalseType` | `TRUE_FALSE` The standard Hibernate type for mapping `Boolean` to JDBC `CHAR(1)` (using 'T'/'F').
`static UrlType` | `URL` The standard Hibernate type for mapping `URL` to JDBC `VARCHAR`.
`static UUIDBinaryType` | `UUID_BINARY` The standard Hibernate type for mapping `UUID` to JDBC `BINARY`.
`static UUIDCharType` | `UUID_CHAR` The standard Hibernate type for mapping `UUID` to JDBC `CHAR`.
`static WrapperBinaryType` | `WRAPPER_BINARY` The standard Hibernate type for mapping `Byte[]` to JDBC `VARBINARY`.
`static YesNoType` | `YES_NO` The standard Hibernate type for mapping `Boolean` to JDBC `CHAR(1)` (using 'Y'/'N').

Constructor Summary
`StandardBasicTypes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final BooleanType BOOLEAN

  The standard Hibernate type for mapping `Boolean` to JDBC `BIT`.

  See Also:
    `BooleanType`

### NUMERIC_BOOLEAN

    public static final NumericBooleanType NUMERIC_BOOLEAN

  The standard Hibernate type for mapping `Boolean` to JDBC `INTEGER`.

  See Also:
    `NumericBooleanType`

### TRUE_FALSE

    public static final TrueFalseType TRUE_FALSE

  The standard Hibernate type for mapping `Boolean` to JDBC `CHAR(1)` (using 'T'/'F').

  See Also:
    `TrueFalseType`

### YES_NO

    public static final YesNoType YES_NO

  The standard Hibernate type for mapping `Boolean` to JDBC `CHAR(1)` (using 'Y'/'N').

  See Also:
    `YesNoType`

### BYTE

    public static final ByteType BYTE

  The standard Hibernate type for mapping `Byte` to JDBC `TINYINT`.

### SHORT

    public static final ShortType SHORT

  The standard Hibernate type for mapping `Short` to JDBC `SMALLINT`.

  See Also:
    `ShortType`

### INTEGER

    public static final IntegerType INTEGER

  The standard Hibernate type for mapping `Integer` to JDBC `INTEGER`.

  See Also:
    `IntegerType`

### LONG

    public static final LongType LONG

  The standard Hibernate type for mapping `Long` to JDBC `BIGINT`.

  See Also:
    `LongType`

### FLOAT

    public static final FloatType FLOAT

  The standard Hibernate type for mapping `Float` to JDBC `FLOAT`.

  See Also:
    `FloatType`

### DOUBLE

    public static final DoubleType DOUBLE

  The standard Hibernate type for mapping `Double` to JDBC `DOUBLE`.

  See Also:
    `DoubleType`

### BIG_INTEGER

    public static final BigIntegerType BIG_INTEGER

  The standard Hibernate type for mapping `BigInteger` to JDBC `NUMERIC`.

  See Also:
    `BigIntegerType`

### BIG_DECIMAL

    public static final BigDecimalType BIG_DECIMAL

  The standard Hibernate type for mapping `BigDecimal` to JDBC `NUMERIC`.

  See Also:
    `BigDecimalType`

### CHARACTER

    public static final CharacterType CHARACTER

  The standard Hibernate type for mapping `Character` to JDBC `CHAR(1)`.

  See Also:
    `CharacterType`

### STRING

    public static final StringType STRING

  The standard Hibernate type for mapping `String` to JDBC `VARCHAR`.

  See Also:
    `StringType`

### URL

    public static final UrlType URL

  The standard Hibernate type for mapping `URL` to JDBC `VARCHAR`.

  See Also:
    `UrlType`

### TIME

    public static final TimeType TIME

  The standard Hibernate type for mapping `Date` (`Time`) to JDBC `TIME`.

  See Also:
    `TimeType`

### DATE

    public static final DateType DATE

  The standard Hibernate type for mapping `Date` (`Date`) to JDBC `DATE`.

  See Also:
    `TimeType`

### TIMESTAMP

    public static final TimestampType TIMESTAMP

  The standard Hibernate type for mapping `Date` (`Timestamp`) to JDBC `TIMESTAMP`.

  See Also:
    `TimeType`

### CALENDAR

    public static final CalendarType CALENDAR

  The standard Hibernate type for mapping `Calendar` to JDBC `TIMESTAMP`.

  See Also:
    `CalendarType`

### CALENDAR_DATE

    public static final CalendarDateType CALENDAR_DATE

  The standard Hibernate type for mapping `Calendar` to JDBC `DATE`.

  See Also:
    `CalendarDateType`

### CLASS

    public static final ClassType CLASS

  The standard Hibernate type for mapping `Class` to JDBC `VARCHAR`.

  See Also:
    `ClassType`

### LOCALE

    public static final LocaleType LOCALE

  The standard Hibernate type for mapping `Locale` to JDBC `VARCHAR`.

  See Also:
    `LocaleType`

### CURRENCY

    public static final CurrencyType CURRENCY

  The standard Hibernate type for mapping `Currency` to JDBC `VARCHAR`.

  See Also:
    `CurrencyType`

### TIMEZONE

    public static final TimeZoneType TIMEZONE

  The standard Hibernate type for mapping `TimeZone` to JDBC `VARCHAR`.

  See Also:
    `TimeZoneType`

### UUID_BINARY

    public static final UUIDBinaryType UUID_BINARY

  The standard Hibernate type for mapping `UUID` to JDBC `BINARY`.

  See Also:
    `UUIDBinaryType`

### UUID_CHAR

    public static final UUIDCharType UUID_CHAR

  The standard Hibernate type for mapping `UUID` to JDBC `CHAR`.

  See Also:
    `UUIDCharType`

### BINARY

    public static final BinaryType BINARY

  The standard Hibernate type for mapping `byte[]` to JDBC `VARBINARY`.

  See Also:
    `BinaryType`

### WRAPPER_BINARY

    public static final WrapperBinaryType WRAPPER_BINARY

  The standard Hibernate type for mapping `Byte[]` to JDBC `VARBINARY`.

  See Also:
    `WrapperBinaryType`

### IMAGE

    public static final ImageType IMAGE

  The standard Hibernate type for mapping `byte[]` to JDBC `LONGVARBINARY`.

  See Also:
    `ImageType`, `MATERIALIZED_BLOB`

### BLOB

    public static final BlobType BLOB

  The standard Hibernate type for mapping `Blob` to JDBC `BLOB`.

  See Also:
    `BlobType`, `MATERIALIZED_BLOB`

### MATERIALIZED_BLOB

    public static final MaterializedBlobType MATERIALIZED_BLOB

  The standard Hibernate type for mapping `byte[]` to JDBC `BLOB`.

  See Also:
    `MaterializedBlobType`, `MATERIALIZED_BLOB`, `IMAGE`

### CHAR_ARRAY

    public static final CharArrayType CHAR_ARRAY

  The standard Hibernate type for mapping `char[]` to JDBC `VARCHAR`.

  See Also:
    `CharArrayType`

### CHARACTER_ARRAY

    public static final CharacterArrayType CHARACTER_ARRAY

  The standard Hibernate type for mapping `Character[]` to JDBC `VARCHAR`.

  See Also:
    `CharacterArrayType`

### TEXT

    public static final TextType TEXT

  The standard Hibernate type for mapping `String` to JDBC `LONGVARCHAR`.

  Similar to a `MATERIALIZED_CLOB`

  See Also:
    `TextType`

### CLOB

    public static final ClobType CLOB

  The standard Hibernate type for mapping `Clob` to JDBC `CLOB`.

  See Also:
    `ClobType`, `MATERIALIZED_CLOB`

### MATERIALIZED_CLOB

    public static final MaterializedClobType MATERIALIZED_CLOB

  The standard Hibernate type for mapping `String` to JDBC `CLOB`.

  See Also:
    `MaterializedClobType`, `MATERIALIZED_CLOB`, `TEXT`

### SERIALIZABLE

    public static final SerializableType SERIALIZABLE

  The standard Hibernate type for mapping `Serializable` to JDBC `VARBINARY`.

  See especially the discussion wrt `ClassLoader` determination on `SerializableType`

  See Also:
    `SerializableType`

Constructor Detail

### StandardBasicTypes

    public StandardBasicTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.